<?php
/**
 * Elgg custom index layout
 * 
 * This is just a helper view to make it easier to use Elgg's
 * page-rendering helper functions like elgg_view_page.
 */
 
// If user logs in then forward to activity
if (elgg_is_logged_in()) {
	header("Location: dashboard");
}

$site = elgg_get_site_entity();
$site_name = $site->name;

?>

<div class="main clearfix" style="background: #edf0f5">
    <div class="margin">
        <div class="right">
            <div class="registration-form">
	            <a class="signup-nav" rel="toggle" data-toggle-selector=".signup-panel" href="#">
	                <h1 class="fsps" style="font-size:36px;"><?= elgg_view_icon('hand-o-right') . elgg_echo('Sign up'); ?></h1>
					<br>
                    <h2 class="fsps" style="font-family: 'Freight Sans Pro Book Regular';font-size:19px;font-weight:normal;"> It's free and always will be.</h2>
                </a>
	            <nav class="signup-panel" role="navigation">
		            <div class='et-register'>
		                <h1 class="fsps" style="font-size:36px;">Sign up</h1>
				        <br>
                        <h2 class="fsps" style="font-family: 'Freight Sans Pro Book Regular';font-size:19px;font-weight:normal;"> It's free and always will be.</h2>
		                    <?php echo elgg_view_form('register', $vars); ?>
                    </div>
		        </nav>
            </div>
	    </div>
        <div class="left">
            <div class="introduction">
                <h1>Connect with friends and the
                <br>
                world around you on <?php echo $site_name  ?>.</h1>
                <div class="mtl pbm">                 
                    <div class="dib vam icon">
                        <div class="photo-icon"></div>
                    </div>
                    <div class="dib vam desc">
                        <span class="fsps">See photos and updates </span>
                        <span class="fspbr">from friends in News Feed.</span>
                    </div>
                </div>
                <div class="mtl pbm">
                    <div class="dib vam icon">
                        <div class="share-icon"></div>
                    </div>
                    <div class="dib vam desc">
                        <span class="fsps">Share what's new</span>
                        <span class="fspbr">in your life on your Timeline.</span>
                    </div>
                </div>
                <div class="mtl pbm">
                    <div class="dib vam icon">
                        <div class="connect-icon"></div>
                    </div>
                    <div class="dib vam desc">
                        <span class="fsps">Find more</span>
                        <span class="fspbr">of what you're looking for with Graph Search.</span>
                    </div>
                </div>
                <?php
                    // a view for plugins to extend
                    echo elgg_view("index/lefthandside");
                ?> 
            </div>
        </div>
	</div>
</div>
