<?php
/**
 * Layout for main column with one sidebar
 *
 * @package Elgg
 * @subpackage Core
 *
 * @uses $vars['title']   Optional title for main content area
 * @uses $vars['content'] Content HTML for the main column
 * @uses $vars['sidebar'] Optional content that is added to the sidebar
 * @uses $vars['nav']     Optional override of the page nav (default: breadcrumbs)
 * @uses $vars['header']  Optional override for the header
 * @uses $vars['footer']  Optional footer
 * @uses $vars['class']   Additional class to apply to layout
 */

$class = 'elgg-layout elgg-layout-two-sidebar clearfix';
$logo = '<img src="'.elgg_get_site_url().'mod/elggbook/_graphics/favicon-32.png" class="site-logo" alt="Logo">';
if (isset($vars['class'])) {
	$class = "$class {$vars['class']}";
}
?>

<div class="<?php echo $class; ?>">
	<div class="elgg-sidebar">
	    <a class="sidebar-button-nav" rel="toggle" data-toggle-selector=".sidebar-menu-panel" href="#">
	        <?= elgg_view_icon('navicon'); ?>
        </a>
		<?php echo $logo . elgg_view('search/search_box', $vars); ?>
	    <nav class="sidebar-menu-panel" role="navigation">
		    <?php echo elgg_view('page/elements/sidebar', $vars); ?>
			<div class="sidebar-alt-panel">
			    <?php echo elgg_view('page/elements/sidebar_alt', $vars); ?>
		    </div>
		</nav>
	</div>
	<div class="elgg-body">
		<div class="elgg-head">
			<?php echo elgg_view('page/elements/title', $vars); ?>
		</div>
		<?php 
			// allow page handlers to override the default header
		?>
		<div class="elgg-sidebar-alt">
			<?php echo elgg_view('page/elements/sidebar_alt', $vars); ?>
		</div>
		<div class="elgg-body elgg-main">
			<?php
				// @todo deprecated so remove in Elgg 2.0
				if (isset($vars['area1'])) {
					echo $vars['area1'];
				}
				if (isset($vars['content'])) {
					echo $vars['content'];
				}
			?>
		</div>
	</div>
</div>
