<?php
/**
 * Elgg hypeWall Extensions
 * @package elggbook
 */

$plugin = elgg_get_plugin_from_id('elggbook_pro');

$potential_yes_no = array(
    HYPEWALL_EXTENSION_GENERAL_YES => elgg_echo('elggbook:settings:yes'),
    HYPEWALL_EXTENSION_GENERAL_NO => elgg_echo('elggbook:settings:no'),
);  

$content = '';

// array of plugins which are supported
$plugins_arr = array('thewire', 'discussions', 'videolist', 'poll', 'event_manager', 'blog', 'market', 'hypeGallery', 'izap_videos', 'tidypics' );

foreach($plugins_arr as $pl) {
	
	if (elgg_is_active_plugin($pl)) {
		$pl_name = 'params['.$pl.']';
		$pl_value = $plugin->$pl;
		if (empty($pl_value)){
			$pl_value = HYPEWALL_EXTENSION_GENERAL_YES;
		}    

		$content .= '<div style="display:block; width:100%; margin: 10px 0;">';
		$content .= "<span class=''><strong>" . elgg_echo('elggbook:settings:'.$pl) . "</strong>: </span>";
		$content .= elgg_view('input/dropdown', array('name' => $pl_name, 'value' => $pl_value, 'options_values' => $potential_yes_no));
		$content .= "<span class='elgg-subtext'>" . elgg_echo('elggbook:settings:'.$pl.':note') . "</span>";
		$content .= '</div>';		
	}
	
} 

echo elgg_view_module("inline", elgg_echo('elggbook:settings:entities'), $content);  

